The Great Jedi Purge has spread throughout the galaxy with devastating results. Recent sighting of a Jedi fugitive in the Anodea system has led the Emperor to order Darth Vader - the Dark Lord of the Sith - to make sure that this Jedi won't leave this realm alive under ANY circumstance.

Report JKVersions Tool (by The_MAZZTer)
Filename
JKVersions.2.exe
Category
Archive Tool
Uploader
FastGamerr
Added
Updated
Size
238.5kb (244,224 bytes)
Downloads
3,898 (2 today)
MD5 Hash
de5f7a61ac447adba864783bcddfd6d7
Embed Button
Embed Widget
Description

No more tech support, sorry. Even if you have the Steam JK or don't have JK at all this tool will legally download the JK 1.01 binary from LucasArts' FTP and then use patches here on JKHub to patch it to JK 1.00 and JKUP.

Preview
JKVersions Tool (by The_MAZZTer)
Comments
TheJones
TheJones

I have a problem, I'm trying to install the patch, but it reaches half way and I get a error message saying it's failed, and then this text appears out of nowhere:

I.imgur.com

I.imgur.com

I.imgur.com

I have no clue how to fix it... And I can't test the mod either. I dropped the entire mod in the folder, and I can't start it up using the .exe, but I can start it up using the .bat ... but, I can't mess with the video settings without it crashing because it's in windowed mode in 480x720... I try to start the game, but I can, as soon as it is almost done loading in the level, it crashes. Need major help, the README isn't helpful. :/

Reply Good karma Bad karma+2 votes
FastGamerr Author
FastGamerr

Are you applying the patch on the 1.00 CD version of JK.EXE?

JKVersions was updated recently, so you should try checking it out to retrieve the original 1.00 CD version of JK.EXE before running the TODOA TC Patcher on it:

Jkhub.net

Reply Good karma+2 votes
TheJones
TheJones

I've just run into a new snag. I can't download the game on disk because I have a new computer that uses 64 bit. So I need to work around that problem as well. -_-

Reply Good karma Bad karma+2 votes
dlausactor6373
dlausactor6373

It appears JKVersions can no longer connect to the Lucasarts ftp server. From what I gather, this has been an issue for a long time now, and I need the original JK.exe to install JK13. I would be grateful if someone could send me a copy of the original 1.00 JK.exe, if at all possible.

Reply Good karma Bad karma+3 votes
FastGamerr Author
FastGamerr

The_MAZZTer just updated the tool. I re-uploaded it here as well (currently awaiting authorization).

In any case, you can grab it (or previous versions, for that matter) from JKHub: Jkhub.net

This file won't be updated on ModDB any more, so anyone with (or even without) the knowledge on programming can check out JKVersions' github page if any further problems arise: Github.com

Reply Good karma+2 votes
GoldenVenom
GoldenVenom

Do i still need this tool if i have the 2.0 version of the game?

Reply Good karma Bad karma+3 votes
FastGamerr Author
FastGamerr

You're going to need the original 1.00 version of JK (which you can get with this tool) to apply the TODOA TC patch on it.

I'm afraid I don't know if you need the tool for other versions.

Reply Good karma+1 vote
Guest
Guest

When using Crossover on a Mac to run JK, it will not let you update to version 1.01, which is what you need to run JK Enhanced. If you try to install any update or patch, it won't find the game so I guess I am looking for an alternate way to get version 1.01. I've tried JK installer and similar programs. Can anyone help with this? Thanks!

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Follow Report Profile
Icon
Star Wars Jedi Knight: Dark Forces II
Creator
FastGamerr
Contact
Send Message
Homepage
Moddb.com
Release date
Mod watch
Follow
File
Browse
Files
Report
Report
Share
Related Games